=== debian/changelog ===
vkeybd (1:0.1.17a-1) unstable; urgency=low

  * New upstream release
  * Set Maintainer to debian-multimedia
  * Added myself to Uploaders
  * Fixed watch file

 -- Free Ekanayaka <freee@debian.org>  Tue, 27 Mar 2007 11:11:17 +0200

vkeybd (1:0.1.17-3) unstable; urgency=low

  * Removed unnecessary build-depends on xlibs-dev (Closes: #346976)
  * Added compat file and removed DH_COMPAT from debian/rules

 -- Free Ekanayaka <free@agnula.org>  Tue, 17 Jan 2006 07:35:17 +0100

vkeybd (1:0.1.17-2) unstable; urgency=low

  * Better description (closes: #310506), thanks to
    browaeys.alban@wanadoo.fr
  * Added desktop file

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Sep 2005 10:13:50 +0100

vkeybd (1:0.1.17-1) unstable; urgency=low

  * Initial upload (closes: #193256)
    [ Note: this package belongs to source package awe in woody and it has
      been remove from sid in 2002. Beside vkeybd the awe source package in woody
      provides also packages holding kernel drivers for Sound Blaster AWE32. After
      these drivers have been included in the Linux kernel the upstream splitted
      the code and changed the versioning of vkeybd, thus I'm using epoch ]
  * Upload sposored by Marco Presi
  * Menu icon (closes: #299396)

 -- Free Ekanayaka <free@agnula.org>  Fri,  6 May 2005 10:50:48 +0200
