=== debian/control ===
Source: vkeybd
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Build-Depends: dpatch, docbook-to-man, debhelper (>> 4.0.0), tcl8.4-dev, tk8.4-dev, libasound2-dev
Standards-Version: 3.7.2

Package: vkeybd
Architecture: any
Depends: ${shlibs:Depends}
Description: Virtual MIDI Keyboard
 This program allows you to use the Linux AWE32 driver, OSS MIDI sequencer,
 or ALSA MIDI sequencer and provides "virtual" keyboard (the musical type),
 which can be "played" using the keyboard or mouse under X11.
