=== debian/watch ===
version=2

# Pattern					Version
http://www.alsa-project.org/~iwai/alsa.html	vkeybd-(.*)\.tar\.bz2 debian	uupdate
